Subject: Re: [PATCH 0/4] pack-bitmap: enable lookup tables by default, misc. cleanups

From: Junio C Hamano <[email-masked]>
Date: Fri, 02 May 2025 14:21:47 -0700

Taylor Blau <[email-masked]> writes:

> This is a short series I extracted from a larger topic on reusing
> "external"[^1] deltas during verbatim pack reuse.
>
> As part of performance-testing that series, I realized that bitmap
> lookup tables are not written by default. Since it has been a
> significant period of time since their introduction, the first patch of
> this series makes writing the lookup table extension the default
> behavior. This is:
>
>   * pack-bitmap: write lookup table extension by default
>
> The next three patches clean up some t/perf scripts that were redundant
> now that lookup tables are the default behavior. Those are:
>
>   * p5312: removed duplicate performance test script
>   * t/perf: avoid testing bitmaps without lookup table
>   * t/perf/lib-bitmap.sh: avoid test_perf during setup
>
> Thanks in advance for your review :-).
>
> [^1]: The term I'm using to describe delta/base pairs which either (a)
> are represented from different packs in a MIDX bitmap, or (b) the client
> is known to already have the base.
>
> Taylor Blau (4):
>   pack-bitmap: write lookup table extension by default
>   p5312: removed duplicate performance test script
>   t/perf: avoid testing bitmaps without lookup table
>   t/perf/lib-bitmap.sh: avoid test_perf during setup

Peff and I were the only two people who read these patches?
Is this topic still viable, or has it been backburnered?

Thanks.